<template>
  <!-- :class="defaultTheme" -->
  <div id="q-app" >
    <router-view />
  </div>
</template>

<script>
import { mapState } from 'vuex';
export default {
  name: 'App',
  computed: {
    ...mapState({
        defaultTheme: state => _.get(state, 'application.defaultTheme', '') || '',
    })
  }
}
</script>

<style lang='scss'>
@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

@layer base {
  @import 'css/themes/bootstrap-dark-ui';
  @import 'css/themes/full-white-ui';
  @import 'css/themes/semantic-ui';
}

</style>
